import appColors from '../../../../theme/appColors'
import appFonts from '../../../../theme/appFonts'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../../theme/appConstant'

import { StyleSheet } from 'react-native'

const styles = StyleSheet.create({
  mainView: {
    marginVertical: windowHeight(1),
    marginBottom: 0,
  },
  image: {
    width: windowWidth(22),
    height: windowHeight(13),
    resizeMode: 'contain',
    marginTop: windowHeight(0.5),
  },
  position: {},
  des: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT3HALF,
    width: windowWidth(60),
    color: appColors.iconColor,
  },
  button: {
    height: windowHeight(5),
    width: windowWidth(35),
    backgroundColor: appColors.primary,
    borderRadius: windowWidth(18),
    alignItems: 'center',
    paddingHorizontal: windowWidth(5),
    flexDirection: 'row',
    marginTop: windowHeight(1.5),
  },
  buttonText: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4,
    color: appColors.black,
    marginHorizontal: windowWidth(2),
  },
  box: {
    width: '90%',
    paddingVertical: windowHeight(2),
    borderWidth: windowWidth(0.25),
    alignSelf: 'center',
    borderRadius: windowWidth(5),
  },
  que: {
    fontFamily: appFonts.bold,
    fontSize: windowWidth(4.2),
    color: appColors.primary,
  },
  trems: {
    fontSize: fontSizes.FONT3HALF,
    fontFamily: appFonts.medium,
    textDecorationLine: 'underline',
    color: appColors.iconColor,
  },
  note: {
    marginTop: windowHeight(1),
    width: '90%',
    alignSelf: 'center',
    color: appColors.iconColor,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT3HALF,
    marginBottom: windowHeight(0.5),
  },
  des1: {
    color: appColors.iconColor,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT3SMALL,
    width: windowWidth(48),
    marginTop: windowHeight(0.8),
  },
  viewButton: {
    alignItems: 'center',
    justifyContent: 'center',
  },
  text: {
    color: appColors.iconColor,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT3HALF1,
    textDecorationLine: 'underline',
  },
  box1: {
    width: '90%',
    backgroundColor: 'red',
    paddingVertical: windowHeight(2.5),
    alignSelf: 'center',
    marginVertical: windowHeight(3),
    borderRadius: windowWidth(5),
    paddingHorizontal: windowWidth(3.5),
  },
  gap: {
    gap: windowHeight(10.5),
  },
  line: {
    height: windowHeight(0.6),
    width: '100%',
    marginVertical: windowHeight(1),
  },
  itemContainer: {
    flexDirection: 'row',
    alignItems: 'center',
    padding: windowHeight(2),
    borderRadius: windowWidth(5),
    borderWidth: windowWidth(0.35),
  },
  userImage: {
    height: windowHeight(6),
    width: windowHeight(6),
    borderRadius: windowHeight(7),
  },
  userImage1: {
    height: windowHeight(6),
    width: windowHeight(6),
    borderRadius: windowHeight(6),
    backgroundColor: appColors.primary,
    alignItems: 'center',
    justifyContent: 'center',
  },
  textContainer: {
    flex: 1,
    marginLeft: windowWidth(3),
  },
  nameText: {
    fontSize: fontSizes.FONT4,
    color: appColors.primary,
    fontFamily: appFonts.medium,
  },
  amountText: {
    fontSize: fontSizes.FONT3HALF,
    color: appColors.primary,
    fontFamily: appFonts.regular,
    marginTop: 2,
  },
  statusContainer: {
    justifyContent: 'center',
    alignItems: 'center',
  },
  statusText: {
    fontSize: fontSizes.FONT3HALF,
    fontFamily: appFonts.medium,
  },
})

export default styles
